# Interface ProcessedCompileTesterFactory

All Known Implementing Classes:
  `JavaSourcesSubject, JavaSourcesSubject.SingleSourceAdapter`

public interface ProcessedCompileTesterFactory
Creates `CompileTester` instances that test compilation with provided `Processor` instances.

Author:
  Gregory Kick

## Method Summary

Modifier and Type
Method
Description
`CompileTester`
`processedWith(Iterable<? extends Processor> processors)`
Adds annotation processors to the compilation being tested.
`CompileTester`
`processedWith(Processor first, Processor... rest)`
Adds annotation processors to the compilation being tested.
`ProcessedCompileTesterFactory`
`withClasspath(Iterable<File> classPath)`
Sets the compilation classpath.
`ProcessedCompileTesterFactory`
`withClasspathFrom(ClassLoader classloader)`
Deprecated.
prefer `withClasspath(Iterable)`.
`ProcessedCompileTesterFactory`
`withCompilerOptions(Iterable<String> options)`
Adds options that will be passed to the compiler.
`ProcessedCompileTesterFactory`
`withCompilerOptions(String... options)`
Adds options that will be passed to the compiler.

## Method Details

### withCompilerOptions

ProcessedCompileTesterFactory withCompilerOptions(Iterable<String> options)
Adds options that will be passed to the compiler. `-Xlint` is the first option, by default.

### withCompilerOptions

ProcessedCompileTesterFactory withCompilerOptions(String... options)
Adds options that will be passed to the compiler. `-Xlint` is the first option, by default.

### withClasspathFrom

@Deprecated ProcessedCompileTesterFactory withClasspathFrom(ClassLoader classloader)
Deprecated.
prefer `withClasspath(Iterable)`. This method only supports `URLClassLoader` and the default system classloader, and `File`s are usually a more natural way to expression compilation classpaths than class loaders.
Attempts to extract the classpath from the classpath of the Classloader argument, including all its parents up to (and including) the System Classloader.

If not specified, we will use the System classpath for compilation.

### withClasspath

ProcessedCompileTesterFactory withClasspath(Iterable<File> classPath)
Sets the compilation classpath.

If not specified, we will use the System classpath for compilation.

### processedWith

CompileTester processedWith(Processor first, Processor... rest)
Adds annotation processors to the compilation being tested.

### processedWith

CompileTester processedWith(Iterable<? extends Processor> processors)
Adds annotation processors to the compilation being tested.